Lorene::Ope_sec_order Class Reference

Class for operator of the type . More...

`#include <ope_elementary.h>`

Inheritance diagram for Lorene::Ope_sec_order:

## Public Member Functions

| Ope_sec_order (int nbr, int baser, double alf, double bet, double a, double b, double c)
| Standard constructor.
| Ope_sec_order (const Ope_sec_order &)
| Constructor by copy.
virtual | ~Ope_sec_order ()
| Destructor.
virtual Tbl | get_solp (const Tbl &so) const
| Computes the particular solution, given the source `so` .
virtual Tbl | get_solh () const
| Computes the homogeneous solutions(s).
virtual void | inc_l_quant ()
| Increases the quatum number by one unit (CURRENTLY NOT IMPLEMENTED).
double | val_sh_one_minus () const
| Returns the value of the first homogeneous solution at the inner boundary.
double | val_sh_one_plus () const
| Returns the value of the first homogeneous solution at the outer boundary.
double | der_sh_one_minus () const
| Returns the value of the derivative of the first homogeneous solution at the inner boundary.
double | der_sh_one_plus () const
| Returns the value of the derivative of the first homogeneous solution at the outer boundary.
double | val_sh_two_minus () const
| Returns the value of the second homogeneous solution at the inner boundary.
double | val_sh_two_plus () const
| Returns the value of the second homogeneous solution at the outer boundary.
double | der_sh_two_minus () const
| Returns the value of the derivative of the second homogeneous solution at the inner boundary.
double | der_sh_two_plus () const
| Returns the value of the derivative of the second homogeneous solution at the outer boundary.
double | val_sp_minus () const
| Returns the value of the particular solution at the inner boundary.
double | val_sp_plus () const
| Returns the value of the particular solution at the outer boundary.
double | der_sp_minus () const
| Returns the value of the derivative particular solution at the inner boundary.
double | der_sp_plus () const
| Returns the value of the derivative particular solution at the outer boundary.
double | get_alpha () const
| Returns `alpha` .
double | get_beta () const
| Returns `beta}`.
int | get_base_r () const
| Returns `base_r}`.
Matrice | get_ope_mat ()
| Returns the matrix representation.
Matrice | get_ope_cl ()
| Returns the banded matrix representation.
Matrice | get_non_dege ()
| Returns the non degenerate matrix representation.

## Protected Attributes

double | a_param
| The parameter .
double | b_param
| The parameter .
double | c_param
| The parameter .
int | nr
| Number of radial points.
int | base_r
| Radial basis of decomposition.
double | alpha
| Parameter of the associated mapping.
double | beta
| Parameter of the associated mapping.
Matrice * | ope_mat
| Pointer on the matrix representation of the operator.
Matrice * | ope_cl
| Pointer on the banded-matrix of the operator.
Matrice * | non_dege
| Pointer on the non-degenerated matrix of the operator.
double | s_one_plus
| Value of the first homogeneous solution at the outer boundary.
double | s_one_minus
| Value of the first homogeneous solution at the inner boundary.
double | ds_one_plus
| Value of the derivative of the first homogeneous solution at the outer boundary.
double | ds_one_minus
| Value of the derivative of the first homogeneous solution at the inner boundary.
double | s_two_plus
| Value of the second homogeneous solution at the outer boundary.
double | s_two_minus
| Value of the second homogeneous solution at the inner boundary.
double | ds_two_plus
| Value of the derivative of the second homogeneous solution at the outer boundary.
double | ds_two_minus
| Value of the derivative of the second homogeneous solution at the inner boundary.
double | sp_minus
| Value of the particular solution at the inner boundary.
double | sp_plus
| Value of the particular solution at the outer boundary.
double | dsp_minus
| Value of the derivative of the particular solution at the inner boundary.
double | dsp_plus
| Value of the derivative of the particular solution at the outer boundary.

## Private Member Functions

virtual void | do_ope_mat () const
| Computes the matrix of the operator.
virtual void | do_ope_cl () const
| Computes the banded-matrix of the operator.
virtual void | do_non_dege () const
| Computes the non-degenerated matrix of the operator.

## Detailed Description

Class for operator of the type .

It is implemented only in the shells.

Definition at line 565 of file ope_elementary.h.

## Constructor & Destructor Documentation

## Ope_sec_order() [1/2]

Lorene::Ope_sec_order::Ope_sec_order | ( | int | nbr,
|  | int | baser,
|  | double | alf,
|  | double | bet,
|  | double | a,
|  | double | b,
|  | double | c )

Standard constructor.

Parameters

  nbr | [input] number of radial points.
  baser | [input] radial basis of decomposition.
  alf | [input] parameter of the mapping.
  bet | [input] parameter of the mapping.
  a | [input] parameter .
  b | [input] parameter .
  c | [input] parameter .

Definition at line 35 of file ope_sec_order.C.

References a_param, b_param, c_param, and Lorene::Ope_elementary::Ope_elementary().

## Ope_sec_order() [2/2]

Lorene::Ope_sec_order::Ope_sec_order | ( | const Ope_sec_order & | so | ) |

Constructor by copy.

Definition at line 43 of file ope_sec_order.C.

References a_param, b_param, c_param, Lorene::Ope_elementary::Ope_elementary(), and Ope_sec_order().

## ~Ope_sec_order()

Lorene::Ope_sec_order::~Ope_sec_order | ( |  | ) |

virtual

Destructor.

Definition at line 48 of file ope_sec_order.C.

## Member Function Documentation

## der_sh_one_minus()

double Lorene::Ope_elementary::der_sh_one_minus | ( |  | ) | const

inline inherited

Returns the value of the derivative of the first homogeneous solution at the inner boundary.

Definition at line 211 of file ope_elementary.h.

References ds_one_minus.

## der_sh_one_plus()

double Lorene::Ope_elementary::der_sh_one_plus | ( |  | ) | const

inline inherited

Returns the value of the derivative of the first homogeneous solution at the outer boundary.

Definition at line 217 of file ope_elementary.h.

References ds_one_plus.

## der_sh_two_minus()

double Lorene::Ope_elementary::der_sh_two_minus | ( |  | ) | const

inline inherited

Returns the value of the derivative of the second homogeneous solution at the inner boundary.

Definition at line 234 of file ope_elementary.h.

References ds_two_minus.

## der_sh_two_plus()

double Lorene::Ope_elementary::der_sh_two_plus | ( |  | ) | const

inline inherited

Returns the value of the derivative of the second homogeneous solution at the outer boundary.

Definition at line 240 of file ope_elementary.h.

References ds_two_plus.

## der_sp_minus()

double Lorene::Ope_elementary::der_sp_minus | ( |  | ) | const

inline inherited

Returns the value of the derivative particular solution at the inner boundary.

Definition at line 254 of file ope_elementary.h.

References dsp_minus.

## der_sp_plus()

double Lorene::Ope_elementary::der_sp_plus | ( |  | ) | const

inline inherited

Returns the value of the derivative particular solution at the outer boundary.

Definition at line 259 of file ope_elementary.h.

References dsp_plus.

## do_non_dege()

void Lorene::Ope_sec_order::do_non_dege | ( |  | ) | const

private virtual

Computes the non-degenerated matrix of the operator.

Implements Lorene::Ope_elementary.

Definition at line 67 of file ope_sec_order_non_dege.C.

References Lorene::Ope_elementary::base_r, do_ope_cl(), MAX_BASE, Lorene::Ope_elementary::non_dege, Lorene::Ope_elementary::ope_cl, R_CHEB, and TRA_R.

## do_ope_cl()

void Lorene::Ope_sec_order::do_ope_cl | ( |  | ) | const

private virtual

Computes the banded-matrix of the operator.

Implements Lorene::Ope_elementary.

Definition at line 75 of file ope_sec_order_cl.C.

References Lorene::Ope_elementary::base_r, do_ope_mat(), MAX_BASE, Lorene::Ope_elementary::ope_cl, Lorene::Ope_elementary::ope_mat, R_CHEB, and TRA_R.

## do_ope_mat()

void Lorene::Ope_sec_order::do_ope_mat | ( |  | ) | const

private virtual

Computes the matrix of the operator.

Implements Lorene::Ope_elementary.

Definition at line 103 of file ope_sec_order_mat.C.

References a_param, Lorene::Ope_elementary::alpha, b_param, Lorene::Ope_elementary::base_r, c_param, MAX_BASE, Lorene::Ope_elementary::nr, Lorene::Ope_elementary::ope_mat, R_CHEB, and TRA_R.

## get_alpha()

double Lorene::Ope_elementary::get_alpha | ( |  | ) | const

inline inherited

Returns `alpha` .

Definition at line 262 of file ope_elementary.h.

References alpha.

## get_base_r()

int Lorene::Ope_elementary::get_base_r | ( |  | ) | const

inline inherited

Returns `base_r}`.

Definition at line 268 of file ope_elementary.h.

References base_r.

## get_beta()

double Lorene::Ope_elementary::get_beta | ( |  | ) | const

inline inherited

Returns `beta}`.

Definition at line 265 of file ope_elementary.h.

References beta.

## get_non_dege()

Matrice Lorene::Ope_elementary::get_non_dege | ( |  | ) |

inline inherited

Returns the non degenerate matrix representation.

Definition at line 285 of file ope_elementary.h.

References do_non_dege(), and non_dege.

## get_ope_cl()

Matrice Lorene::Ope_elementary::get_ope_cl | ( |  | ) |

inline inherited

Returns the banded matrix representation.

Definition at line 278 of file ope_elementary.h.

References do_ope_cl(), and ope_cl.

## get_ope_mat()

Matrice Lorene::Ope_elementary::get_ope_mat | ( |  | ) |

inline inherited

Returns the matrix representation.

Definition at line 271 of file ope_elementary.h.

References do_ope_mat(), and ope_mat.

## get_solh()

Tbl Lorene::Ope_sec_order::get_solh | ( |  | ) | const

virtual

Computes the homogeneous solutions(s).

Implements Lorene::Ope_elementary.

Definition at line 207 of file ope_sec_order_solh.C.

References a_param, Lorene::Ope_elementary::alpha, b_param, Lorene::Ope_elementary::base_r, Lorene::Ope_elementary::beta, c_param, Lorene::Ope_elementary::ds_one_minus, Lorene::Ope_elementary::ds_one_plus, Lorene::Ope_elementary::ds_two_minus, Lorene::Ope_elementary::ds_two_plus, MAX_BASE, Lorene::Ope_elementary::nr, R_CHEB, Lorene::Ope_elementary::s_one_minus, Lorene::Ope_elementary::s_one_plus, Lorene::Ope_elementary::s_two_minus, Lorene::Ope_elementary::s_two_plus, Lorene::Tbl::set_etat_qcq(), and TRA_R.

## get_solp()

Tbl Lorene::Ope_sec_order::get_solp | ( | const Tbl & | so | ) | const

virtual

Computes the particular solution, given the source `so` .

Implements Lorene::Ope_elementary.

Definition at line 143 of file ope_sec_order_solp.C.

References Lorene::Ope_elementary::alpha, Lorene::Ope_elementary::base_r, Lorene::Ope_elementary::beta, do_non_dege(), Lorene::Ope_elementary::dsp_minus, Lorene::Ope_elementary::dsp_plus, Lorene::exp(), MAX_BASE, Lorene::Ope_elementary::non_dege, Lorene::Ope_elementary::ope_mat, R_CHEB, Lorene::Ope_elementary::sp_minus, Lorene::Ope_elementary::sp_plus, and TRA_R.

## inc_l_quant()

void Lorene::Ope_sec_order::inc_l_quant | ( |  | ) |

virtual

Increases the quatum number by one unit (CURRENTLY NOT IMPLEMENTED).

Implements Lorene::Ope_elementary.

Definition at line 50 of file ope_sec_order.C.

## val_sh_one_minus()

double Lorene::Ope_elementary::val_sh_one_minus | ( |  | ) | const

inline inherited

Returns the value of the first homogeneous solution at the inner boundary.

Definition at line 200 of file ope_elementary.h.

References s_one_minus.

## val_sh_one_plus()

double Lorene::Ope_elementary::val_sh_one_plus | ( |  | ) | const

inline inherited

Returns the value of the first homogeneous solution at the outer boundary.

Definition at line 205 of file ope_elementary.h.

References s_one_plus.

## val_sh_two_minus()

double Lorene::Ope_elementary::val_sh_two_minus | ( |  | ) | const

inline inherited

Returns the value of the second homogeneous solution at the inner boundary.

Definition at line 223 of file ope_elementary.h.

References s_two_minus.

## val_sh_two_plus()

double Lorene::Ope_elementary::val_sh_two_plus | ( |  | ) | const

inline inherited

Returns the value of the second homogeneous solution at the outer boundary.

Definition at line 228 of file ope_elementary.h.

References s_two_plus.

## val_sp_minus()

double Lorene::Ope_elementary::val_sp_minus | ( |  | ) | const

inline inherited

Returns the value of the particular solution at the inner boundary.

Definition at line 245 of file ope_elementary.h.

References sp_minus.

## val_sp_plus()

double Lorene::Ope_elementary::val_sp_plus | ( |  | ) | const

inline inherited

Returns the value of the particular solution at the outer boundary.

Definition at line 249 of file ope_elementary.h.

References sp_plus.

## Member Data Documentation

## a_param

double Lorene::Ope_sec_order::a_param

protected

The parameter .

Definition at line 569 of file ope_elementary.h.

## alpha

double Lorene::Ope_elementary::alpha

protected inherited

Parameter of the associated mapping.

Definition at line 108 of file ope_elementary.h.

## b_param

double Lorene::Ope_sec_order::b_param

protected

The parameter .

Definition at line 570 of file ope_elementary.h.

## base_r

int Lorene::Ope_elementary::base_r

protected inherited

Radial basis of decomposition.

Definition at line 107 of file ope_elementary.h.

## beta

double Lorene::Ope_elementary::beta

protected inherited

Parameter of the associated mapping.

Definition at line 109 of file ope_elementary.h.

## c_param

double Lorene::Ope_sec_order::c_param

protected

The parameter .

Definition at line 571 of file ope_elementary.h.

## ds_one_minus

double Lorene::Ope_elementary::ds_one_minus

mutable protected inherited

Value of the derivative of the first homogeneous solution at the inner boundary.

Definition at line 141 of file ope_elementary.h.

## ds_one_plus

double Lorene::Ope_elementary::ds_one_plus

mutable protected inherited

Value of the derivative of the first homogeneous solution at the outer boundary.

Definition at line 136 of file ope_elementary.h.

## ds_two_minus

double Lorene::Ope_elementary::ds_two_minus

mutable protected inherited

Value of the derivative of the second homogeneous solution at the inner boundary.

Definition at line 160 of file ope_elementary.h.

## ds_two_plus

double Lorene::Ope_elementary::ds_two_plus

mutable protected inherited

Value of the derivative of the second homogeneous solution at the outer boundary.

Definition at line 155 of file ope_elementary.h.

## dsp_minus

double Lorene::Ope_elementary::dsp_minus

mutable protected inherited

Value of the derivative of the particular solution at the inner boundary.

Definition at line 173 of file ope_elementary.h.

## dsp_plus

double Lorene::Ope_elementary::dsp_plus

mutable protected inherited

Value of the derivative of the particular solution at the outer boundary.

Definition at line 177 of file ope_elementary.h.

## non_dege

Matrice* Lorene::Ope_elementary::non_dege

mutable protected inherited

Pointer on the non-degenerated matrix of the operator.

Definition at line 122 of file ope_elementary.h.

## nr

int Lorene::Ope_elementary::nr

protected inherited

Number of radial points.

Definition at line 106 of file ope_elementary.h.

## ope_cl

Matrice* Lorene::Ope_elementary::ope_cl

mutable protected inherited

Pointer on the banded-matrix of the operator.

Definition at line 118 of file ope_elementary.h.

## ope_mat

Matrice* Lorene::Ope_elementary::ope_mat

mutable protected inherited

Pointer on the matrix representation of the operator.

Definition at line 114 of file ope_elementary.h.

## s_one_minus

double Lorene::Ope_elementary::s_one_minus

mutable protected inherited

Value of the first homogeneous solution at the inner boundary.

Definition at line 131 of file ope_elementary.h.

## s_one_plus

double Lorene::Ope_elementary::s_one_plus

mutable protected inherited

Value of the first homogeneous solution at the outer boundary.

Definition at line 127 of file ope_elementary.h.

## s_two_minus

double Lorene::Ope_elementary::s_two_minus

mutable protected inherited

Value of the second homogeneous solution at the inner boundary.

Definition at line 150 of file ope_elementary.h.

## s_two_plus

double Lorene::Ope_elementary::s_two_plus

mutable protected inherited

Value of the second homogeneous solution at the outer boundary.

Definition at line 146 of file ope_elementary.h.

## sp_minus

double Lorene::Ope_elementary::sp_minus

mutable protected inherited

Value of the particular solution at the inner boundary.

Definition at line 165 of file ope_elementary.h.

## sp_plus

double Lorene::Ope_elementary::sp_plus

mutable protected inherited

Value of the particular solution at the outer boundary.

Definition at line 169 of file ope_elementary.h.

The documentation for this class was generated from the following files:

- ope_elementary.h
- ope_sec_order.C
- ope_sec_order_cl.C
- ope_sec_order_mat.C
- ope_sec_order_non_dege.C
- ope_sec_order_solh.C
- ope_sec_order_solp.C